mod wayback_machine;
use wayback_machine::Search;

#[tokio::main(flavor = "multi_thread", worker_threads = 10)]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let records = Search::search("fermimn.gov.it").await;

    for row in &records {
        println!("{:#?}", row.get_wayback_machine_url());
    }
    println!("Length: {:#?}", records.len());

    Ok(())
}
